Card Operation
curl --request POST \
--url https://sandbox.getmipay.com/api/virtual-cards/cards/{cardId}/operation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "topup",
"amount": 50,
"currency": "USD"
}
'import requests
url = "https://sandbox.getmipay.com/api/virtual-cards/cards/{cardId}/operation"
payload = {
"action": "topup",
"amount": 50,
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'topup', amount: 50, currency: 'USD'})
};
fetch('https://sandbox.getmipay.com/api/virtual-cards/cards/{cardId}/operation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"operation": "topup",
"card_id": "CARD_123456",
"new_balance": 20,
"currency": "USD",
"status": "success",
"transactions": [
{
"id": "TXN_123",
"amount": 10,
"currency": "USD",
"type": "topup",
"status": "completed",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}Virtual Cards
Card Operation
Perform generic operations on virtual card
POST
/
virtual-cards
/
cards
/
{cardId}
/
operation
Card Operation
Authorizations
JWT bearer token returned by POST /action/auth. Send protected requests with: Authorization: Bearer . Tokens expire after 24 hours.
Path Parameters
Virtual card ID
Example:
"CARD_123456"
Body
application/json
Operation details
⌘I
